
Redmine - Defect #27863

If version is closed or locked  subtasks don't get copied 

2017-12-28 14:48 - Alessandro Zucchi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.4.6   

Resolution: Fixed Affected version: 3.3.5

Description

Hi,

if I tryed to copy an issue with subtasks only the parent task is copied if the source version is closed or locked.

Regards

Alessandro

Related issues:

Related to Redmine - Defect #28765: Copying an issue fails if the issue is wa... Closed

Copied to Redmine - Defect #28946: If assignee is locked subtasks don't get c... Closed

Associated revisions

Revision 17368 - 2018-06-07 02:33 - Go MAEDA

Clear target version when copying an issue if status is locked or closed (#27863).

Patch by Marius BALTEANU.

Revision 17369 - 2018-06-07 02:37 - Go MAEDA

Merged r17368 from trunk to 3.4-stable (#27863).

History

#1 - 2018-01-24 18:08 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Priority changed from Urgent to Normal

Confirmed.

In the log:

Could not copy subtask #70 while copying #71 to #74 due to validation errors: Target version is not included i

n the list

 I don't know what expected behaviour should be.

#2 - 2018-01-25 11:25 - Alessandro Zucchi

Hi,

for me all children issues must be copied independently from the state of the version, not only the parent task.s

Regards

Alessandro

#3 - 2018-05-14 10:21 - Go MAEDA

- Related to Defect #28765: Copying an issue fails if the issue is watched by a locked user added

#4 - 2018-05-14 23:36 - Marius BĂLTEANU

- Target version set to Candidate for next minor release

Toshi MARUYAMA wrote:
Confirmed.

I don't know what expected behaviour should be.

 Considering that the target version is cleared in the UI when you copy an issue with a locked/closed target version, I think we should keep the same

behaviour also for subtasks and automatically clear the target version if it is locked/closed. Any other opinions?

#5 - 2018-05-15 08:50 - Alessandro Zucchi

Marius BALTEANU wrote:

Toshi MARUYAMA wrote:

Confirmed.

I don't know what expected behaviour should be.

 Considering that the target version is cleared in the UI when you copy an issue with a locked/closed target version, I think we should keep the

same behaviour also for subtasks and automatically clear the target version if it is locked/closed. Any other opinions?

 Ok clear the target version if it is locked/closed, but most important that get copied.

Alessandro

#6 - 2018-06-04 23:26 - Marius BĂLTEANU

- File 0001-Clear-target-version-when-copying-an-issue-if-status.patch added

Attached is a small patch that fixes this issue.

#7 - 2018-06-04 23:32 - Marius BĂLTEANU

- Copied to Defect #28946: If assignee is locked subtasks don't get copied  added

#8 - 2018-06-05 03:55 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.4.6

The patch submitted by Marius works fine. Setting target version to 3.4.6.

#9 - 2018-06-07 02:40 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed. Thank you all for your contribution.

Files

0001-Clear-target-version-when-copying-an-issue-if-status.patch 2.12 KB 2018-06-04 Marius BĂLTEANU
